%{!?_qt5_qmake_flags:%global _qt5_qmake_flags %{?nil: \\
  QMAKE_CFLAGS_DEBUG="${CFLAGS:-%{_qt5_optflags} %{?_qt5_cflags}}" \\
  QMAKE_CFLAGS_RELEASE="${CFLAGS:-%{_qt5_optflags} %{?_qt5_cflags}}" \\
  QMAKE_CXXFLAGS_DEBUG="${CXXFLAGS:-%{_qt5_optflags} %{?_qt5_cxxflags}}" \\
  QMAKE_CXXFLAGS_RELEASE="${CXXFLAGS:-%{_qt5_optflags} %{?_qt5_cxxflags}}" \\
  QMAKE_LFLAGS_DEBUG="${LDFLAGS:-%{_qt5_ldflags}}" \\
  QMAKE_LFLAGS_RELEASE="${LDFLAGS:-%{_qt5_ldflags}}" \\
  QMAKE_STRIP= \\
  %nil
}}
%{!?qmake5:%global qmake5 %{_qt5_bindir}/qmake %{?_qt5_qmake_flags}}
%{!?qmake5_install:%global qmake5_install make install INSTALL_ROOT=%{buildroot}}

Name:       mlite-qt5
Summary:    Useful classes originating from MeeGo Touch
Version:    0.2.23+fedora.20170227214346.3.gdb2944f
Release:    3%{?dist}.2
Group:      System/Libraries
License:    LGPLv2.1
URL:        https://git.merproject.org/mer-core/mlite
Source0:    %{name}-%{version}.tar.bz2
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(dconf)
BuildRequires:  pkgconfig(glib-2.0)
%if 0%{?fedora} || 0%{?rhel}
BuildRequires:  qt5-linguist
%else
BuildRequires:  qt5-qttools-linguist
%endif

%description
Select set of useful classes from meegotouch that do not require
taking in all of meegotouch.


%package notificationtool
Summary:    mlite notification tool package
Group:      System/Libraries
Requires:   %{name} = %{version}-%{release}

%description notificationtool
%{summary}.


%package devel
Summary:    mlite development package
Group:      System/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
Development files needed for using the mlite library


%package tests
Summary:    Test suite for mlite-qt5
Group:      System/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   dbus-x11

%description tests
Test suite for mlite-qt5.


%prep
%setup -q -n %{name}-%{version}

%build
export QT_SELECT=5
export PATH="%{_qt5_bindir}:$PATH"
%qmake5 VERSION=%{version}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
export PATH="%{_qt5_bindir}:$PATH"
%qmake5_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libmlite5.so.*
%{_libexecdir}/mliteremoteaction

%files notificationtool
%defattr(-,root,root,-)
%{_bindir}/mlitenotificationtool

%files devel
%defattr(-,root,root,-)
%{_includedir}/mlite5
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libmlite5.so

%files tests
%defattr(-,root,root,-)
/opt/tests/mlite-qt5/*
%changelog
* Wed Feb 22 2017 Slava Monich <slava.monich@jolla.com> - 0.2.23
- [mlite] Fixed memory leak in MDConf::convertValue. Fixes JB#37869
- [rpm] Updated project URL
* Sun Dec 11 2016 blam <bea.lam@jollamobile.com> - 0.2.22
- [mlite] Ensure doubles are written to conf values. Fixes JB#36690
- [mlite] Ensure doubles are written to conf values. Fixes JB#36690
* Fri Jul 22 2016 Andrew den Exter <andrew.den.exter@jollamobile.com> - 0.2.21
- [mlite] Drop escalated permissions before activating remote actions. Contributes to JB#27660
- [mlite] Drop escalated permissions before activating remote actions. Contributes to JB#27660
* Thu Mar 31 2016 jpetrell <joona.petrell@jollamobile.com> - 0.2.19
- [desktop] Don't hide D-Bus activable applications. Contributes to JB#5771
- [desktop] Don't hide D-Bus activable applications. Contributes to JB#5771
* Fri Dec  4 2015 lbt <david@dgreaves.com> - 0.2.18
- [license] Unify open source licenses. Contributes to JB#33648
- [license] Unify open source licenses. Contributes to JB#33648
* Tue Oct 27 2015 Andrew den Exter <andrew.den.exter@jollamobile.com> - 0.2.17
- [mlite] Fix setting a path in the MDConfGroup constructor. Fixes MER#1322
- [mlite] Fix setting a path in the MDConfGroup constructor. Fixes MER#1322
* Fri Aug 14 2015 Slava Monich <slava.monich@jolla.com> - 0.2.16
- [mlite] Don't emit Qt signals directly from glib events. Fixes MER#1232
- [mlite] Housekeeping
- [mremoteaction] Add a missing include that breaks builds with newer Qt
* Mon Mar 30 2015 Pekka Vuorela <pekka.vuorela@jollamobile.com> - 0.2.15
- [mlite] Don't warn on accessors that define to return empty string
* Fri Feb 13 2015 Thomas Perl <m@thp.io> - 0.2.14
- [mdesktopentry] Don't log boolean lookup errors
- [mdesktopentry] Don't log lookup errors for direct accessors
* Thu Jan 22 2015 Thomas Perl <m@thp.io> - 0.2.13
- [cleanup] Remove Qt 4 support and other clean-ups
- [mdesktopentry] Use GLib for parsing .desktop files
- [tests] Only test MGConfItem if it's built
* Tue Nov 18 2014 Mikko Harju <mikko.harju@gmail.com> - 0.2.12
- [mlite] Do not install translators from desktop files
* Wed Nov 12 2014 Matti Kosola <matti.kosola@jollamobile.com> - 0.2.11
- [mlite] Fix mdesktopentry test
* Sat Jun 21 2014 Mohammed Sameer <msameer@foolab.org> - 0.2.10
- [mlite] add no_link to lrelease target CONFIG to prevent trying to link it with the main binary
* Sat Jun 21 2014 Mohammed Sameer <msameer@foolab.org> - 0.2.9
- [mlite] add qt5-qttools-linguist to buildrequires (lrelease is needed)
* Thu Jun 12 2014 Mohammed Sameer <msameer@foolab.org> - 0.2.8
- [mlite] Update tests
* Tue Jun 10 2014 Mohammed Sameer <msameer@foolab.org> - 0.2.7
- [mlite] Don't warn if we cannot read the value of a key
* Thu May 15 2014 Mohammed Sameer <msameer@foolab.org> - 0.2.6
- [dconf] fixed MGConfItem::listDirs()
- [mlite] use QTRY_VERIFY for MGConfItem listDirs test
* Mon May 12 2014 Andrew den Exter <andrew.den.exter@jollamobile.com> - 0.2.5
- [mlite] Fix assert while resolving properties.
* Wed May  7 2014 Mohammed Sameer <msameer@foolab.org> - 0.2.4
- [dconf] port to dconf
- [mlite] Add an MDConfGroup class.
- [mlite] Avoid include guard conflict with mlite-global.h
- [packaging] Add Qt5Gui to build requirements
* Thu Nov  7 2013 Marko Mattila <marko.mattila@jollamobile.com> - 0.2.3
- [mlite] Added sync() function which hints gconf to sync values to the cache
- [mlite] Added sync() function which hints gconf to sync values to the cache.
* Thu Sep 19 2013 Robin Burchell <viroteck@viroteck.net> - 0.2.2
- [mlite] Extend MGconfItem's API.
* Wed Sep  4 2013 Robin Burchell <viroteck@viroteck.net> - 0.2.1
- [mlite] Use QDBusMessage instead of QDBusInterface for remote actions.
* Mon Aug 26 2013 Vesa Halttunen <vesa.halttunen@jollamobile.com> - 0.2.0
- [mlite] Add stringListValue() convenience function
* Mon Aug 12 2013 Robin Burchell <robin+git@viroteck.net> - 0.1.8
- [mlite] Don't implicitly pull in QtGui
* Mon Aug 12 2013 Robin Burchell <robin+git@viroteck.net> - 0.1.7
- [mlite] Add Qt5Test to build requirements.
* Mon Aug 12 2013 Robin Burchell <viroteck@viroteck.net> - 0.1.6
- [mlite] Fix MFileDataStore::clear()
- [mlite] MGConfItem: fix init/cleanup code
- [tests] Initial commit
* Wed Jul 10 2013 Vesa Halttunen <vesa.halttunen@jollamobile.com> - 0.1.5
- [mlite] Improvements to MNotification/MNotificationGroup compatibility
* Wed Apr 24 2013 Vesa Halttunen <vesa.halttunen@jollamobile.com> - 0.1.4
- [mlite] Re-enable MRemoteAction, MNotification and friends on Qt5
* Fri Apr 19 2013 Robin Burchell <robin+git@viroteck.net> - 0.1.3
- [mlite] Change packaging to build with new Mer release.
* Fri Apr  5 2013 Robin Burchell <robin+git@viroteck.net> - 0.1.2
- [mlite] Automatically generate .pc versions, add a Qt 5 .pc
- [mlite] Compatibility fixes for Qt 5.
- [mlite] Enable building of a Qt 5 package.
- [mlite] Gather version information from rpmbuild, or from git.
* Thu Apr  4 2013 Robin Burchell <robin+git@viroteck.net> - 0.1.1
- [mlite] Convert to git packaging
- [mlite] Remove now unneeded QtGui dependency
